#
# This is the file which manipulates the grid environment for tcsh shell.
#
# - It saves the exported environment variables to a file, 
# - perform the manipulations in bash, using the bash functions
# - then it sources the resulted set of environment variables.
#
# To see what is going on exactly, how te environment variables are affected
# have a look to the grid-env.sh file !
#
#

set my1tmpfile=`mktemp /tmp/gridenv.XXXX`
set my2tmpfile=`mktemp /tmp/gridenv.XXXX`
set my3tmpfile=`mktemp /tmp/gridenv.XXXX`

setenv | awk 'BEGIN{FS="="}{myvar=$1; myvalue=$2; for (i=3;i<NF+1;i++) {if ($i!="") {myvalue=myvalue"="$i}} ; print myvar"=\""myvalue"\"" }' > $my1tmpfile
env -i /bin/bash --noprofile --login -c "set -a ; . $my1tmpfile ; set +a ; source GRID_ENV_LOCATION ; export > $my2tmpfile"
cat $my2tmpfile | cut -d " " -f 3- | awk 'BEGIN{FS="="}{myvar=$1; myvalue=$2; for (i=3;i<NF+1;i++) {if ($i!="") {myvalue=myvalue"="$i}} ; print "setenv "myvar" "myvalue}' > $my3tmpfile
source $my3tmpfile

rm -f $my1tmpfile
rm -f $my2tmpfile
rm -f $my3tmpfile
unset my1tmpfile
unset my2tmpfile
unset my3tmpfile

